Index: /ether_megapoli/trunk/web/data/access/access.jsp
===================================================================
--- /ether_megapoli/trunk/web/data/access/access.jsp	(revision 160)
+++ /ether_megapoli/trunk/web/data/access/access.jsp	(revision 161)
@@ -1,4 +1,3 @@
 <%@ page import="com.medias.Context" contentType="text/html; charset=UTF-8"%>
-<%@ page import="com.medias.Context" %>
 <%@ page language="java" contentType="text/html; charset=UTF-8"%>
 <%@ taglib uri="/WEB-INF/tlds/struts-tiles.tld" prefix="tiles"%>
@@ -22,8 +21,8 @@
 
 	<tiles:put name="body" type="string">
-		<bean:message key="data.access.intro"/>
+		<bean:message key="data.access.intro3"/>
 		<bean:define id="access" value="access"/>
 		&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;
-		<html:link page="/data/access/jeux.jsp" paramName="access" paramId="source">
+		<html:link page="/JeuxAccess.do">
 			<bean:message key="data.access.jeux"/>
 		</html:link>
@@ -43,4 +42,9 @@
 			<bean:message key="data.access.plat"/>
 		</html:link>
+		<%--br>
+		&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;
+		<html:link page="/DataAccess.do">
+			<bean:message key="data.access.extract"/>
+		</html:link--%>
 	</tiles:put>
 </tiles:insert>
Index: /ether_megapoli/trunk/web/data/access/capt.jsp
===================================================================
--- /ether_megapoli/trunk/web/data/access/capt.jsp	(revision 160)
+++ /ether_megapoli/trunk/web/data/access/capt.jsp	(revision 161)
@@ -2,6 +2,4 @@
 <%@ page import="com.medias.Calcul"%>
 <%@ page import="java.util.ArrayList"%>
-<%@ page import="com.medias.Calcul" %>
-<%@ page import="com.medias.Context" %>
 <%@ page language="java" contentType="text/html; charset=UTF-8"%>
 <%@ taglib uri="/WEB-INF/tlds/struts-tiles.tld" prefix="tiles"%>
@@ -34,7 +32,7 @@
 		</div>
 		
-		<div class="submit">
+		<%--div class="submit">
 			<html:link page="/data/access/access.jsp"><bean:message key="data.access"/></html:link>
-		</div>
+		</div--%>
 		
 		<nested:root name="capteursForm">
@@ -52,35 +50,45 @@
 				</logic:notEqual>
 			</th></tr>
-				<bean:define id="nomTypePrec" value=""/>
-				<nested:iterate property="capteurs" indexId="captId">
-					<nested:nest property="typeCapteur">
-						<nested:define id="nomType" property="typeCapteurNom"/>
-					</nested:nest>
-					<tr><td>
-						<nested:notEqual name="nomType" value="${nomTypePrec}">
-							<div id="messages"><bean:write name="nomType"/>&nbsp;:</div>
-						</nested:notEqual>
-						<bean:define type="java.lang.String" id="parite" value="<%=Calcul.getParite(captId.intValue())%>"/>
-						<logic:equal name="parite" value="pair"><bean:define id="idP" value="pair"/></logic:equal>
-						<logic:equal name="parite" value="impair"><bean:define id="idP" value="impair"/></logic:equal>
-						<table class="${idP}">
-							<tr>
-								<td style="width:155px;" nowrap>
-									-
-									<nested:define id="id" property="capteurId"/>
-									<html:link page="/DescCapteur.do" titleKey="data.access.capt4" paramName="id" paramId="idCapt">
-										<nested:notEqual property="capteurNumserie" value="UNKNOWN">
-											<nested:write property="capteurModele"/>&nbsp;&nbsp;&nbsp;(<bean:message key="data.access.capt.nums"/>&nbsp;:&nbsp;<nested:write property="capteurNumserie"/>)
+			<bean:define id="nomTypePrec" value=""/>
+			<nested:iterate property="capteurs" indexId="captId">
+				<nested:nest property="typeCapteur">
+					<nested:define id="nomType" property="typeCapteurNom"/>
+				</nested:nest>
+				<tr><td>
+					<nested:notEqual name="nomType" value="${nomTypePrec}">
+						<div id="messages"><bean:write name="nomType"/>&nbsp;:</div>
+					</nested:notEqual>
+					<bean:define type="java.lang.String" id="parite" value="<%=Calcul.getParite(captId.intValue())%>"/>
+					<logic:equal name="parite" value="pair"><bean:define id="idP" value="pair"/></logic:equal>
+					<logic:equal name="parite" value="impair"><bean:define id="idP" value="impair"/></logic:equal>
+					<table class="${idP}" style="margin-left: 20px">
+						<tr>
+							<td nowrap>
+								<nested:define id="id" property="capteurId"/>
+								<html:link page="/DescCapteur.do" titleKey="data.access.capt4" paramName="id" paramId="idCapt">
+									<nested:notEqual property="capteurModele" value="UNKNOWN">
+										<nested:write property="capteurModele"/>
+										<nested:notEqual property="fabriquant.fabriquantNom" value="UNKNOWN">
+											- <nested:write property="fabriquant.fabriquantNom"/>
 										</nested:notEqual>
-										<nested:equal property="capteurNumserie" value="UNKNOWN">
-											<nested:write property="capteurModele"/>
+									</nested:notEqual>
+									<nested:equal property="capteurModele" value="UNKNOWN">
+										<nested:notEqual property="fabriquant.fabriquantNom" value="UNKNOWN">
+											<nested:write property="fabriquant.fabriquantNom"/>
+										</nested:notEqual>
+										<nested:equal property="fabriquant.fabriquantNom" value="UNKNOWN">
+											Unknown
 										</nested:equal>
-									</html:link>
-								</td>
-							</tr>
-						</table>
-						<bean:define id="nomTypePrec" value="${nomType}"/>
-					</td></tr>
-				</nested:iterate>
+									</nested:equal>
+									<nested:notEqual property="capteurNumserie" value="UNKNOWN">
+										(<bean:message key="data.access.capt.nums"/>&nbsp;:&nbsp;<nested:write property="capteurNumserie"/>)
+									</nested:notEqual>
+								</html:link>
+							</td>
+						</tr>
+					</table>
+					<bean:define id="nomTypePrec" value="${nomType}"/>
+				</td></tr>
+			</nested:iterate>
 		</table>
 		</nested:root>
@@ -88,11 +96,11 @@
 		<div class="hdp" align="right">
 			<html:link page="/data/access/capt.jsp" anchor="top" titleKey="app.hdp">
-				<html:img page="/resources/images/utils/hdp1.png"/>
+				<html:img page="/images/utils/hdp1.png"/>
 			</html:link>
 		</div>
 			
-		<div class="submit">
+		<%--div class="submit">
 			<html:link page="/data/access/access.jsp"><bean:message key="data.access"/></html:link>
-		</div>
+		</div--%>
 	</tiles:put>
 </tiles:insert>
Index: /ether_megapoli/trunk/web/data/access/desc_capt.jsp
===================================================================
--- /ether_megapoli/trunk/web/data/access/desc_capt.jsp	(revision 160)
+++ /ether_megapoli/trunk/web/data/access/desc_capt.jsp	(revision 161)
@@ -1,4 +1,3 @@
 <%@ page import="com.medias.Context" contentType="text/html; charset=UTF-8"%>
-<%@ page import="com.medias.Context" %>
 <%@ page language="java" contentType="text/html; charset=UTF-8"%>
 <%@ taglib uri="/WEB-INF/tlds/struts-tiles.tld" prefix="tiles"%>
@@ -22,5 +21,17 @@
 	<tiles:put name="bodytitle" type="string">
 		<nested:nest property="capteur">
-			<bean:message key="data.access.capt1"/> : <nested:write property="capteurModele"/>
+			<bean:message key="data.access.capt1"/> :
+			<nested:nest property="typeCapteur">
+				<nested:write property="typeCapteurNom"/>
+			</nested:nest>
+			<nested:notEqual property="capteurModele" value="UNKNOWN">
+				- <nested:write property="capteurModele"/>
+			</nested:notEqual>
+			<nested:notEqual property="fabriquant.fabriquantNom" value="UNKNOWN">
+				- <nested:write property="fabriquant.fabriquantNom"/>
+			</nested:notEqual>
+			<nested:notEqual property="capteurNumserie" value="UNKNOWN">
+				(<bean:message key="data.access.capt.nums"/>&nbsp;:&nbsp;<nested:write property="capteurNumserie"/>)
+			</nested:notEqual>
 		</nested:nest>
 	</tiles:put>
@@ -54,5 +65,5 @@
 		<table>
 			<nested:nest property="capteur">
-			<tr><th/>
+			<tr><th>
 				<nested:nest property="typeCapteur">
 					<bean:message key="data.upload.metadata.capteur.type"/> : <nested:write property="typeCapteurNom"/>
@@ -97,5 +108,4 @@
 				<tr>
 					<td>
-						-&nbsp;
 						<nested:define id="id" property="plateformeId"/>
 						<html:link page="/DescPlateforme.do" titleKey="data.access.plat4" paramName="id" paramId="idPlat">
@@ -119,8 +129,7 @@
 				<tr>
 					<td>
-						-&nbsp;
 						<nested:define id="id" property="parametreId"/>
 						<html:link page="/DescParametre.do" titleKey="data.access.param4" paramName="id" paramId="idParam">
-							<nested:write property="parametreNom"/>
+							<nested:write property="parametreNom"/> (<nested:write property="parametreCode"/>)
 						</html:link>
 					</td>
@@ -141,9 +150,33 @@
 				<tr>
 					<td>
-						-&nbsp;
 						<nested:define id="id" property="jeuId"/>
 						<html:link page="/MetadataInfo.do" titleKey="data.access.metadata.link" paramName="id" paramId="idJeu">
 							<nested:write property="jeuNom"/>
 						</html:link>
+						<bean:define id="download" value="download"/>
+						<nested:notEqual property="nbFichiers" value="0">
+							(<logic:notPresent name="SES_USER" scope="session">
+								<html:link page="/InitLogonAccess.do" paramName="download" paramId="source">
+									<nested:write property="nbFichiers"/>
+									<nested:equal property="nbFichiers" value="1">
+										<bean:message key="data.access.metadata.file" arg0=""/>
+									</nested:equal>
+									<nested:notEqual name="nbFichiers" value="1">
+										<bean:message key="data.access.metadata.file" arg0="s"/>
+									</nested:notEqual>
+								</html:link>
+							</logic:notPresent>
+							<logic:present name="SES_USER" scope="session">
+								<nested:link page="/FichiersAccess.do" titleKey="data.access.download.file" paramId="idJeu" paramProperty="jeuId">
+									<nested:write property="nbFichiers"/>
+									<nested:equal property="nbFichiers" value="1">
+										<bean:message key="data.access.metadata.file" arg0=""/>
+									</nested:equal>
+									<nested:notEqual name="nbFichiers" value="1">
+										<bean:message key="data.access.metadata.file" arg0="s"/>
+									</nested:notEqual>
+								</nested:link>
+							</logic:present>)
+						</nested:notEqual>
 					</td>
 				</tr>
@@ -152,9 +185,9 @@
 		<div class="hdp" align="right">
 			<html:link page="/data/access/desc_capt.jsp" anchor="top" titleKey="app.hdp">
-				<html:img page="/resources/images/utils/hdp1.png"/>
+				<html:img page="/images/utils/hdp1.png"/>
 			</html:link>
 		</div>
 		<div class="submit">
-			<html:link page="/CapteursAccess.do"><bean:message key="app.access.capt.back"/></html:link>
+			<html:link page="/CapteursAccess.do"><bean:message key="data.access.capt"/></html:link>
 		</div>
 	</tiles:put>
Index: /ether_megapoli/trunk/web/data/access/desc_param.jsp
===================================================================
--- /ether_megapoli/trunk/web/data/access/desc_param.jsp	(revision 160)
+++ /ether_megapoli/trunk/web/data/access/desc_param.jsp	(revision 161)
@@ -1,4 +1,3 @@
 <%@ page import="com.medias.Context" contentType="text/html; charset=UTF-8"%>
-<%@ page import="com.medias.Context" %>
 <%@ page language="java" contentType="text/html; charset=UTF-8"%>
 <%@ taglib uri="/WEB-INF/tlds/struts-tiles.tld" prefix="tiles"%>
@@ -55,7 +54,7 @@
 			<nested:nest property="parametre">
 			<tr>
-				<th/><bean:message key="data.upload.metadata.param.abrev"/> :</th>
-				<th/><nested:write property="parametreCode"/></th>
-				<th/>&nbsp;</th>
+				<th><bean:message key="data.upload.metadata.param.abrev"/> :</th>
+				<th><nested:write property="parametreCode"/></th>
+				<th>&nbsp;</th>
 			</tr>
 			<nested:nest property="unite">
@@ -98,5 +97,4 @@
 				<tr>
 					<td>
-						-&nbsp;
 						<nested:define id="id" property="capteurId"/>
 						<html:link page="/DescCapteur.do" titleKey="data.access.capt4" paramName="id" paramId="idCapt">
@@ -106,4 +104,7 @@
 							<nested:notEqual property="capteurModele" value="UNKNOWN">
 								- <nested:write property="capteurModele"/>
+							</nested:notEqual>
+							<nested:notEqual property="fabriquant.fabriquantNom" value="UNKNOWN">
+								- <nested:write property="fabriquant.fabriquantNom"/>
 							</nested:notEqual>
 							<nested:notEqual property="capteurNumserie" value="UNKNOWN">
@@ -126,5 +127,4 @@
 				<tr>
 					<td>
-						-&nbsp;
 						<nested:define id="id" property="plateformeId"/>
 						<html:link page="/DescPlateforme.do" titleKey="data.access.plat4" paramName="id" paramId="idPlat">
@@ -148,9 +148,33 @@
 				<tr>
 					<td>
-						-&nbsp;
 						<nested:define id="id" property="jeuId"/>
 						<html:link page="/MetadataInfo.do" titleKey="data.access.metadata.link" paramName="id" paramId="idJeu">
 							<nested:write property="jeuNom"/>
 						</html:link>
+						<bean:define id="download" value="download"/>
+						<nested:notEqual property="nbFichiers" value="0">
+							(<logic:notPresent name="SES_USER" scope="session">
+								<html:link page="/InitLogonAccess.do" paramName="download" paramId="source">
+									<nested:write property="nbFichiers"/>
+									<nested:equal property="nbFichiers" value="1">
+										<bean:message key="data.access.metadata.file" arg0=""/>
+									</nested:equal>
+									<nested:notEqual name="nbFichiers" value="1">
+										<bean:message key="data.access.metadata.file" arg0="s"/>
+									</nested:notEqual>
+								</html:link>
+							</logic:notPresent>
+							<logic:present name="SES_USER" scope="session">
+								<nested:link page="/FichiersAccess.do" titleKey="data.access.download.file" paramId="idJeu" paramProperty="jeuId">
+									<nested:write property="nbFichiers"/>
+									<nested:equal property="nbFichiers" value="1">
+										<bean:message key="data.access.metadata.file" arg0=""/>
+									</nested:equal>
+									<nested:notEqual name="nbFichiers" value="1">
+										<bean:message key="data.access.metadata.file" arg0="s"/>
+									</nested:notEqual>
+								</nested:link>
+							</logic:present>)
+						</nested:notEqual>
 					</td>
 				</tr>
@@ -159,9 +183,9 @@
 		<div class="hdp" align="right">
 			<html:link page="/data/access/desc_param.jsp" anchor="top" titleKey="app.hdp">
-				<html:img page="/resources/images/utils/hdp1.png"/>
+				<html:img page="/images/utils/hdp1.png"/>
 			</html:link>
 		</div>
 		<div class="submit">
-			<html:link page="/ParametresAccess.do"><bean:message key="app.access.param.back"/></html:link>
+			<html:link page="/ParametresAccess.do"><bean:message key="data.access.param"/></html:link>
 		</div>
 	</tiles:put>
Index: /ether_megapoli/trunk/web/data/access/desc_plat.jsp
===================================================================
--- /ether_megapoli/trunk/web/data/access/desc_plat.jsp	(revision 160)
+++ /ether_megapoli/trunk/web/data/access/desc_plat.jsp	(revision 161)
@@ -1,4 +1,3 @@
 <%@ page import="com.medias.Context" contentType="text/html; charset=UTF-8"%>
-<%@ page import="com.medias.Context" %>
 <%@ page language="java" contentType="text/html; charset=UTF-8"%>
 <%@ taglib uri="/WEB-INF/tlds/struts-tiles.tld" prefix="tiles"%>
@@ -54,5 +53,5 @@
 		<table>
 			<nested:nest property="plateforme">
-			<tr><th/>
+			<tr><th>
 				<nested:nest property="typePlateforme">
 					<bean:message key="data.access.metadata.plat.type"/> : <nested:write property="typePlateformeNom"/>
@@ -159,5 +158,4 @@
 				<tr>
 					<td>
-						-&nbsp;
 						<nested:define id="id" property="capteurId"/>
 						<html:link page="/DescCapteur.do" titleKey="data.access.capt4" paramName="id" paramId="idCapt">
@@ -168,4 +166,7 @@
 								- <nested:write property="capteurModele"/>
 							</nested:notEqual>
+							<nested:notEqual property="fabriquant.fabriquantNom" value="UNKNOWN">
+								- <nested:write property="fabriquant.fabriquantNom"/>
+							</nested:notEqual>
 							<nested:notEqual property="capteurNumserie" value="UNKNOWN">
 								(<bean:message key="data.access.capt.nums"/>&nbsp;:&nbsp;<nested:write property="capteurNumserie"/>)
@@ -187,8 +188,7 @@
 				<tr>
 					<td>
-						-&nbsp;
 						<nested:define id="id" property="parametreId"/>
 						<html:link page="/DescParametre.do" titleKey="data.access.param4" paramName="id" paramId="idParam">
-							<nested:write property="parametreNom"/>
+							<nested:write property="parametreNom"/> (<nested:write property="parametreCode"/>)
 						</html:link>
 					</td>
@@ -209,9 +209,33 @@
 				<tr>
 					<td>
-						-&nbsp;
 						<nested:define id="id" property="jeuId"/>
 						<html:link page="/MetadataInfo.do" titleKey="data.access.metadata.link" paramName="id" paramId="idJeu">
 							<nested:write property="jeuNom"/>
 						</html:link>
+						<bean:define id="download" value="download"/>
+						<nested:notEqual property="nbFichiers" value="0">
+							(<logic:notPresent name="SES_USER" scope="session">
+								<html:link page="/InitLogonAccess.do" paramName="download" paramId="source">
+									<nested:write property="nbFichiers"/>
+									<nested:equal property="nbFichiers" value="1">
+										<bean:message key="data.access.metadata.file" arg0=""/>
+									</nested:equal>
+									<nested:notEqual name="nbFichiers" value="1">
+										<bean:message key="data.access.metadata.file" arg0="s"/>
+									</nested:notEqual>
+								</html:link>
+							</logic:notPresent>
+							<logic:present name="SES_USER" scope="session">
+								<nested:link page="/FichiersAccess.do" titleKey="data.access.download.file" paramId="idJeu" paramProperty="jeuId">
+									<nested:write property="nbFichiers"/>
+									<nested:equal property="nbFichiers" value="1">
+										<bean:message key="data.access.metadata.file" arg0=""/>
+									</nested:equal>
+									<nested:notEqual name="nbFichiers" value="1">
+										<bean:message key="data.access.metadata.file" arg0="s"/>
+									</nested:notEqual>
+								</nested:link>
+							</logic:present>)
+						</nested:notEqual>
 					</td>
 				</tr>
@@ -220,9 +244,9 @@
 		<div class="hdp" align="right">
 			<html:link page="/data/access/desc_plat.jsp" anchor="top" titleKey="app.hdp">
-				<html:img page="/resources/images/utils/hdp1.png"/>
+				<html:img page="/images/utils/hdp1.png"/>
 			</html:link>
 		</div>
 		<div class="submit">
-			<html:link page="/PlateformesAccess.do"><bean:message key="app.access.plat.back"/></html:link>
+			<html:link page="/PlateformesAccess.do"><bean:message key="data.access.plat"/></html:link>
 		</div>
 	</tiles:put>
